using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BoneyPickup : MonoBehaviour
{
    [SerializeField] AudioClip barkSFX;
    [SerializeField] int pointsForBonePickup = 100;

   private void OnTriggerEnter2D(Collider2D collision)
   {
       FindObjectOfType<GameSession>().AddToScore(pointsForBonePickup);
       AudioSource.PlayClipAtPoint(barkSFX, Camera.main.transform.position);
       Destroy(gameObject);
   }
}
